From: "Sebastian Pipping" <sping@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/uriparser/
Date: Sun, 4 Oct 2015 21:54:53 +0000 (UTC) [thread overview]
Message-ID: <1443995384.2114f96d146d19c46c6b6849ccc22b4a278d8730.sping@gentoo> (raw)
commit: 2114f96d146d19c46c6b6849ccc22b4a278d8730
Author: Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 4 21:49:44 2015 +0000
Commit: Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Sun Oct 4 21:49:44 2015 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2114f96d
dev-libs/uriparser: 0.8.3
dev-libs/uriparser/uriparser-0.8.3.ebuild | 43 +++++++++++++++++++++++++++++++
1 file changed, 43 insertions(+)
diff --git a/dev-libs/uriparser/uriparser-0.8.3.ebuild b/dev-libs/uriparser/uriparser-0.8.3.ebuild
new file mode 100644
index 0000000..de49e8c
--- /dev/null
+++ b/dev-libs/uriparser/uriparser-0.8.3.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=4
+
+DESCRIPTION="Uriparser is a strictly RFC 3986 compliant URI parsing library in C"
+HOMEPAGE="http://uriparser.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="doc qt4 test unicode"
+
+RDEPEND=""
+DEPEND="virtual/pkgconfig
+ doc? ( >=app-doc/doxygen-1.5.8
+ qt4? ( dev-qt/qthelp:4 ) )
+ test? ( >=dev-util/cpptest-1.1.1 )"
+
+REQUIRED_USE="test? ( unicode )"
+
+src_configure() {
+ econf \
+ --disable-sizedown \
+ $(use_enable test) \
+ --enable-char \
+ $(use_enable unicode wchar_t) \
+ $(use_enable doc) \
+ --disable-dependency-tracking \
+ --docdir=/usr/share/doc/${PF}/
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "make install failed"
+ dodoc AUTHORS ChangeLog THANKS || die
+
+ if use doc && use qt4; then
+ insinto /usr/share/doc/${PF}/
+ doins doc/*.qch || die # Using doins to avoid dodoc's compression
+ fi
+}
next reply other threads:[~2015-10-04 21:55 UTC|newest]
Thread overview: 63+ messages / expand[flat|nested] mbox.gz Atom feed top
2015-10-04 21:54 Sebastian Pipping [this message]
-- strict thread matches above, loose matches on Subject: below --
2015-10-05 16:14 [gentoo-commits] repo/gentoo:master commit in: dev-libs/uriparser/ Sebastian Pipping
2015-10-05 16:28 Sebastian Pipping
2015-10-12 15:58 Sebastian Pipping
2015-10-13 16:11 Ian Stakenvicius
2017-12-03 22:14 James Le Cuirot
2018-01-06 16:06 Sebastian Pipping
2018-01-24 20:58 Sebastian Pipping
2018-01-28 18:05 Sergei Trofimovich
2018-02-06 18:36 Thomas Deutschmann
2018-02-07 12:05 Sebastian Pipping
2018-02-11 0:51 Michael Palimaka
2018-02-11 0:51 Michael Palimaka
2018-08-18 11:53 Sebastian Pipping
2018-10-26 23:05 Sebastian Pipping
2019-01-02 17:11 Sebastian Pipping
2019-03-27 20:04 Agostino Sarubbo
2019-03-27 23:44 Thomas Deutschmann
2019-03-28 0:07 Aaron Bauman
2019-04-28 12:45 Sebastian Pipping
2020-05-31 15:59 Sebastian Pipping
2020-08-17 14:07 Agostino Sarubbo
2020-09-01 0:29 Sam James
2021-01-06 19:34 Fabian Groffen
2021-02-05 15:26 Sergei Trofimovich
2021-03-06 18:19 Sebastian Pipping
2021-03-18 17:56 Sebastian Pipping
2021-03-18 18:23 Sebastian Pipping
2021-05-27 19:14 Sam James
2021-05-28 12:02 Agostino Sarubbo
2021-05-28 12:03 Agostino Sarubbo
2021-06-25 14:08 Sebastian Pipping
2021-07-15 21:42 Sam James
2022-01-06 20:17 Sebastian Pipping
2022-01-07 0:31 Sam James
2022-01-07 0:31 Sam James
2022-01-07 15:29 Sam James
2022-01-07 15:30 Sam James
2022-01-07 19:52 Arthur Zamarin
2022-01-07 20:10 Arthur Zamarin
2022-01-08 15:02 Sebastian Pipping
2022-10-05 15:01 Sebastian Pipping
2022-11-28 22:41 Sebastian Pipping
2022-12-20 23:28 Sam James
2022-12-20 23:57 Sam James
2022-12-20 23:57 Sam James
2022-12-20 23:57 Sam James
2022-12-20 23:57 Sam James
2022-12-21 0:24 Sam James
2022-12-24 14:49 Andreas Sturmlechner
2023-11-06 23:48 Sebastian Pipping
2024-05-05 17:24 Sebastian Pipping
2024-05-05 22:01 Sam James
2024-05-05 22:14 Sam James
2024-05-05 22:14 Sam James
2024-05-05 22:14 Sam James
2024-05-05 22:14 Sam James
2024-05-05 22:14 Sam James
2025-01-12 0:48 Sam James
2025-01-12 0:48 Sam James
2025-01-12 16:33 Jakov Smolić
2025-01-12 16:33 Jakov Smolić
2025-03-01 22:40 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1443995384.2114f96d146d19c46c6b6849ccc22b4a278d8730.sping@gentoo \
--to=sping@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox